OD(1)

NAZWA
od - zrzuca pliki w formacie ósemkowym i innych

SKŁADNIA
od [OPCJA]... [PLIK]...
od [-abcdfilosx]... [PLIK] [[+]PRZESUNIĘCIE[.][b]]
od --traditional [OPCJA]... [PLIK] [[+]PRZESUNIĘCIE[.][b] [+][ETYKIETA][.][b]]

OPIS

Wypisuje jednoznaczną reprezentację PLIKU (domyślnie używa bajtów w systemie ósemkowym) na standardowe wyjście. Jeśli podano więcej niż jeden argument PLIK, są one łączone w zadanej kolejności tworząc wejście programu.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Jeśli pierwsze i drugie wywołanie formatu pasuje do użytej składni, to przyjmowane jest, że został użyty drugi format, jeśli ostatni operator zaczyna się od + lub (jeśli występują dwa) od cyfry. PRZESUNIĘCIE jest równoważne -j PRZESUNIĘCIE. ETYKIETA jest pseudoadresem pierwszego wypisanego bajtu, zwiększającym się w trakcie pracy programu. Dla PRZESUNIĘCIA i ETYKIETY przedrostki 0x lub 0X oznaczają zapis szesnastkowy, przyrostkiem może być . oznaczająca zapis ósemkowy lub b - wielokrotność 512.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-A, --address-radix=PODSTAWA
    formaty wyjściowe do przesunięć w plikach; PODSTAWA to jedna z liter [doxn] - dziesiętna, o'semkowa, hex (szesnastkowa) lub none (brak)

--endian={big|little}
    zamiera wejściowe bajty zgodnie z wybraną kolejnością

-j, --skip-bytes=BAJTY
    pomija początkową liczbę BAJTÓW z wejścia

-N, --read-bytes=BAJTY
    ogranicza zrzut do liczby BAJTÓW wejściowych

-S BAJTY, --strings[=BAJTY]
    wypisuje co najmniej podaną liczbę BAJTÓW znaków graficznych; gdy nie poda się BAJTÓW przyjmowana jest wartość 3

-t, --format=TYP
    wybiera format lub formaty danych wyjściowych

-v, --output-duplicates
    nie używa * w celu oznaczenia powtórzonych wierszy

-w[BAJTY], --width[=BAJTY]
    wyświetla liczbę BAJTÓW w każdym wierszu wyjściowym; gdy nie poda się żadnej wartości, przyjmowana jest wartość domyślna 32.

--traditional
    akceptuje argumenty w trzeciej postaci podanej w sekcji SKŁADNIA

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

  Tradycyjne specyfikacje formatu mogą być mieszane, sumują się:

-a  jak -t a: wybiera znaki nazwane, po zignorowaniu najstarszego bitu

-b  jak -t o1: wybiera bajty ósemkowe

-c  jak -t c: wybiera drukowalne znaki bądź sekwencje specjalne z odwrotnym ukośnikiem

-d  jak -t u2: wybiera 2-bajtowe liczby dziesiętne bez znaku (unsigned)

-f  jak -t fF: wybiera liczby zmiennoprzecinkowe (typu float)

-i  jak -t dI: wybiera dziesiętne liczby całkowite (typu integer)

-l  jak -t dL: wybiera liczby dziesiętne (typu long)

-o  jak -t o2: wybiera 2-bajtowe znaki ósemkowe

-s  jak -t d2: wybiera 2-bajtowe znaki dziesiętne

-x  jak -t x2: wybiera 2-bajtowe znaki szesnastkowe

  Aby określić TYP należy podać jedno lub więcej z następujących określeń:

a   znaki nazwane, po zignorowaniu najstarszego typu

c   znaki drukowalne lub sekwencje specjalne z odwrotnym ukośnikiem

d[ROZMIAR]
    liczba dziesiętna ze znakiem, o ROZMIARZE bajtów na liczbę

f[ROZMIAR]
    liczba zmiennoprzecinkowa, o ROZMIARZE bajtów na liczbę

o[ROZMIAR]
    liczba ósemkowa, o ROZMIARZE bajtów na liczbę

u[ROZMIAR]
    liczba dziesiętna bez znaku, o ROZMIARZE bajtów na liczbę

x[ROZMIAR]
    liczba szesnastkowa, o ROZMIARZE bajtów na liczbę

ROZMIAR jest liczbą. Dla typów [doux], ROZMIAR może wynosić również: C: sizeof(char), S: sizeof(short), I: sizeof(int) lub L: sizeof(long). Jeśli TYP ma wartość f, to ROZMIAR może wynosić także F: sizeof(float), D: sizeof(double) lub L: sizeof(long double)

Dodanie przyrostka z do dowolnego typu wyświetla znaki drukowalne na końcu każdego wiersza wyjściowego

  BAJTY to zapis szesnastkowy z przedrostkiem 0x lub 0X, który może mieć jeden z następujących przyrostków:

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

itd. dla G, T, P, E, Z, Y.

PRZYKŁADY

od -A x -t x1z -v
    wypisuje w szesnastkowym formacie wyjściowym

od -A o -t oS -w16
    domyślny format wyjściowy używany przez od

AUTOR
Napisane przez Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu od proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/od>
lub lokalnie, za pomocą info '(coreutils) od invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.